BunkerSiloFillAddEvent = {}
local BunkerSiloFillAddEvent_mt = Class(BunkerSiloFillAddEvent, Event)

InitEventClass(BunkerSiloFillAddEvent, "BunkerSiloFillAddEvent", EventIds.EVENT_BUNKER_SILO_FILL_ADD)

function BunkerSiloFillAddEvent:emptyNew()
	local self = Event:new(BunkerSiloFillAddEvent_mt)

	return self
end

function BunkerSiloFillAddEvent:new(bunkerSilo)
	local self = BunkerSiloFillAddEvent:emptyNew()
	self.bunkerSilo = bunkerSilo

	return self
end

function BunkerSiloFillAddEvent:readStream(streamId, connection)
	if not connection:getIsServer() then
		self.bunkerSilo = NetworkUtil.readNodeObject(streamId)
	end

	self:run(connection)
end

function BunkerSiloFillAddEvent:writeStream(streamId, connection)
	if connection:getIsServer() then
		NetworkUtil.writeNodeObject(streamId, self.bunkerSilo)
	end
end

function BunkerSiloFillAddEvent:run(connection)
	if not connection:getIsServer() then
		self.bunkerSilo:setState(BunkerSilo.STATE_FILL)
	end
end
